//
//  MDNSApplicationScriptingAdditions.m
//  SimpleScriptingAppDelegate
//
//  Created by Mark Douma on 2/17/2013.
//  Copyright (c) 2013 Mark Douma. All rights reserved.
//

#import "MDNSApplicationScriptingAdditions.h"
#import "AppDelegate.h"


#define MD_DEBUG 1


@implementation NSApplication (MDScriptingAdditions)



- (NSString *)foobaz {
#if MD_DEBUG
    NSLog(@"[%@ %@]", NSStringFromClass([self class]), NSStringFromSelector(_cmd));
#endif
	return [(AppDelegate *)[NSApp delegate] foobaz];
}


- (void)setFoobaz:(NSString *)aFoobaz {
#if MD_DEBUG
    NSLog(@"[%@ %@]", NSStringFromClass([self class]), NSStringFromSelector(_cmd));
#endif
	return [(AppDelegate *)[NSApp delegate] setFoobaz:aFoobaz];
}



@end
